import java.io.*;
public final class StatCalc
{
    private StatCalc(){}
    
    public static void main(String[] args)
    {
        try
        {
            if (args.length < 7)
            {
                System.out.println("**Required Parameters**");
                System.out.println("1st: Level start - first level to print");
                System.out.println("2nd: Level jump - number of levels to skip between prints");
                System.out.println("3rd: Number of jumps");
                System.out.println("4th: The first job to print, inclusive");
                System.out.println("5th: The last job to print, inclusive");
                System.out.println("6th: The first ability to print, inclusive");
                System.out.println("7th: The last ability to print, inclusive");
            }
            else
            {
                //put stats into an array
                BufferedReader statReader = new BufferedReader(new FileReader("rawStats.csv"));
                int[][] rawStats = new int[4][5];
                String line = statReader.readLine();
                while (line != null)
                {
                    String[] lineArray = line.split(",");
                    int i = 0;
                    for (int n = 0; n < 5; n++)
                    {
                        rawStats[i][n] = Integer.parseInt(lineArray[n]);
                    }
                    i ++;
                    line = statReader.readLine();
                }
                statReader.close();
                
                //put jobs into an array
                BufferedReader jobReader = new BufferedReader(new FileReader("jobs.csv"));
                int[][] jobs = new int[160][10];
                line = jobReader.readLine();
                while (line != null)
                {
                    String[] lineArray = line.split(",");
                    int i = 0;
                    for (int n = 0; n < 5; n++)
                    {
                        jobs[i][n] = Integer.parseInt(lineArray[n]);
                    }
                    i ++;
                    line = jobReader.readLine();
                }
                jobReader.close();
                
                //put skills into an array
                BufferedReader skillReader = new BufferedReader(new FileReader("abilities.csv"));
                int[][] skills = new int[512][3];
                line = skillReader.readLine();
                while (line != null)
                {
                    String lineArray[] = line.split(",");
                    int i = 0;
                    for (int n = 0; n < 3; n++)
                    {
                        skills[i][n] = Integer.parseInt(lineArray[n]);
                    }
                    i ++;
                    line = skillReader.readLine();
                }
                skillReader.close();
                
                //print all of it
                for (int i = 0; i < 160; i++)
                {
                    
                }
                
            }
        }
        catch (Exception e)
        {
            System.out.println(e);
            e.printStackTrace();
            System.out.println("\n\n*.csv files must be in the same directory as MakeCSV.class\n\n");
        }
    }
}
